> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volubile.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents



## OpenAPI

````yaml GET /v1/agents
openapi: 3.0.1
info:
  title: Volubile API
  version: v1
servers:
  - url: https://api.eu.volubile.ai
    description: Generated server url
security: []
paths:
  /v1/agents:
    get:
      tags:
        - Agent
      summary: List agents
      operationId: list_1
      parameters:
        - name: type
          in: query
          description: Filter by type
          required: false
          schema:
            type: string
            description: Filter by type
            enum:
              - INBOUND
              - OUTBOUND
        - name: page
          in: query
          description: The page number to be returned, starts at 1
          required: false
          schema:
            minimum: 1
            type: string
            description: The page number to be returned, starts at 1
            default: '1'
        - name: size
          in: query
          description: The number of items to be returned, maximum 100
          required: false
          schema:
            maximum: 100
            type: string
            description: The number of items to be returned, maximum 100
            default: '25'
        - name: sort
          in: query
          description: The sort property and direction
          required: false
          schema:
            type: string
            description: The sort property and direction
            example: property,DESC
            enum:
              - <property>,ASC
              - <property>,DESC
          example: property,DESC
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResponseAgentResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: >
            Unauthorized access. The request has not been applied because it
            lacks valid authentication credentials.

            Possible reasons include that the API key is missing from the
            request headers, the provided API key is disabled,

            or the API key is associated with a customer account that is
            disabled.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Too Many Requests
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - Api key: []
        - Bearer token: []
components:
  schemas:
    PageResponseAgentResponse:
      type: object
      properties:
        content:
          type: array
          description: List of items in the current page
          items:
            $ref: '#/components/schemas/AgentResponse'
        size:
          type: integer
          description: The size of the page
          format: int32
        page:
          type: integer
          description: The page number
          format: int32
        totalElements:
          type: integer
          description: The total amount of elements
          format: int64
        totalPages:
          type: integer
          description: The number of total pages
          format: int32
    ErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          description: |
            Date and time when the error occurs.

            Format: UTC time - yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
          format: date-time
        status:
          type: integer
          description: Http status code
          format: int32
        message:
          type: string
          description: Information about the error
        errors:
          type: array
          description: List of specific validation errors
          items:
            $ref: '#/components/schemas/ValidationError'
    AgentResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the agent
          format: uuid
        telephonyConfiguration:
          $ref: '#/components/schemas/TelephonyConfigurationResponse'
        name:
          type: string
          description: Name of the agent
        type:
          type: string
          description: Type of the agent
          enum:
            - INBOUND
            - OUTBOUND
        active:
          type: boolean
          description: If the agent is active
        recordable:
          type: boolean
          description: If the agent record calls
        archived:
          type: boolean
          description: If the agent is archived
        configuration:
          $ref: '#/components/schemas/AgentConfigurationResponse'
    ValidationError:
      type: object
      properties:
        field:
          type: string
          description: Field in error
        rejectedValue:
          type: object
          description: Value in error
        message:
          type: string
          description: Description of the failed validation
      description: List of specific validation errors
    TelephonyConfigurationResponse:
      type: object
      properties:
        sipConnection:
          type: object
          description: SIP connection of the agent
          oneOf:
            - $ref: '#/components/schemas/SipInboundConnectionResponse'
            - $ref: '#/components/schemas/SipOutboundConnectionResponse'
        phoneNumbers:
          uniqueItems: true
          type: array
          description: >-
            List of phone number(s) of the agent in the E.164 international
            standard format
          example:
            - '+33612345678'
            - '+33612345679'
          items:
            type: string
      description: >-
        Telephony configuration of the agent containing phone numbers and SIP
        connections
    AgentConfigurationResponse:
      type: object
      properties:
        extractors:
          type: array
          description: List of extractors associated with the agent configuration
          example:
            - description: Extract all the information about the customer
              extractors:
                - description: Customer's first name
                  name: First name
                - description: Customer's last name
                  name: Last name
                - description: Customer's phone number in a valid format (+33)
                  name: Phone
                - description: Customer's email in a valid format
                  name: Email
                - description: Customer address information
                  name: Address
                  extractors:
                    - description: >-
                        Street address of the customer, including house number
                        and street name
                      name: Street
                    - description: Postal code of the customer's address
                      name: Postal code
                    - description: City or locality where the customer resides
                      name: City
              name: Customer information
          items:
            $ref: '#/components/schemas/ExtractorResponse'
        classifiers:
          type: array
          description: List of the classifiers associated with the agent configuration
          example:
            - description: What was the reason for the call
              name: Classification of the call
              values:
                - Support
                - Sales
                - Billing
                - Technical issue
          items:
            $ref: '#/components/schemas/ClassifierResponse'
      description: Configuration of the agent
    SipInboundConnectionResponse:
      title: SIP Inbound Connection
      type: object
      properties:
        did:
          type: string
          description: SIP agent DID
          example: '2566458'
      description: >-
        SIP trunk provided by Volubile to route your incoming calls to your
        agents (fqdn is available in the backoffice)
    SipOutboundConnectionResponse:
      title: SIP Outbound Connection
      type: object
      properties:
        name:
          type: string
          description: Name of the connection
        destinationNumberFormat:
          type: string
          description: |
            Format of the number

            e.g. +33612345678 or 33612345678
          enum:
            - PLUS_E_164
            - E_164
        routingMethod:
          type: string
          description: Routing method
          enum:
            - SEQUENTIAL
            - ROUND_ROBIN
        fqdn:
          type: array
          description: Ordered list of fqdn(s) of the agent
          example:
            - sip.volubile.ai
            - sip.customer.com
          items:
            type: string
        tls:
          type: boolean
          description: If the SIP signal is encrypted
        srtp:
          type: boolean
          description: If the media stream is encrypted
        techPrefix:
          type: string
          description: A 4 digits prefix that will be appended to the destination number
        headers:
          type: object
          additionalProperties:
            type: string
            description: Custom SIP headers (will be sent with 'X-' prefix)
            example: '{"Custom-Header":"custom value","Volubile-Token":"abcdef1234"}'
          description: Custom SIP headers (will be sent with 'X-' prefix)
          example:
            Custom-Header: custom value
            Volubile-Token: abcdef1234
        cli:
          type: string
          description: SIP CLI (e.g. phone number, username)
      description: >-
        SIP connection to route your agent outgoing calls and call transfers to
        your SIP servers
    ExtractorResponse:
      type: object
      properties:
        name:
          type: string
          description: Name of the extractor
        description:
          type: string
          description: Description of the extractor
        extractors:
          type: array
          description: List of sub-extractors associated with the extractor
          nullable: true
          items:
            $ref: '#/components/schemas/ExtractorResponse'
    ClassifierResponse:
      type: object
      properties:
        name:
          type: string
          description: Name of the classifier
        description:
          type: string
          description: Description of the classifier
        values:
          type: array
          description: List of possible values for the classifier
          items:
            type: string
  securitySchemes:
    Api key:
      type: apiKey
      description: Your API key.
      name: X-Api-Key
      in: header
    Bearer token:
      type: http
      description: Short lived Bearer token issued by /v1/auth/token.
      scheme: bearer
      bearerFormat: JWT

````